jQuery(document).ready(function(){

    if (jQuery('input.different-payment').is(':checked')) {
    	jQuery(".max-payment").parent().parent().parent().show();
		jQuery(".min-one-payment").parent().parent().parent().show();
		jQuery(".max-one-payment").parent().parent().parent().show();
	    jQuery(".base-url-one").parent().parent().parent().show();
	    jQuery(".titledesc label[for='woocommerce_paythen_min_amount']").text("Minimum order amount 1");
	    jQuery(".titledesc label[for='woocommerce_paythen_max_amount']").text("Maximum order amount 1");
	    jQuery(".titledesc label[for='woocommerce_paythen_base-url']").text("Paythen template url 1");

    }else{
    	jQuery(".titledesc label[for='woocommerce_paythen_min_amount']").text("Minimum order amount");
		jQuery(".titledesc label[for='woocommerce_paythen_base-url']").text("Paythen template url");

    	jQuery(".max-payment").parent().parent().parent().hide();
		jQuery(".min-one-payment").parent().parent().parent().hide();
		jQuery(".max-one-payment").parent().parent().parent().hide();
	    jQuery(".base-url-one").parent().parent().parent().hide();
    }

    if (jQuery('input.number-installment').is(':checked')) {
    	jQuery(".min-installment").parent().parent().parent().show();
		jQuery(".max-installment").parent().parent().parent().show();
    }else{
    	jQuery(".min-installment").parent().parent().parent().hide();
		jQuery(".max-installment").parent().parent().parent().hide();
    }

    if (jQuery('input.product-information').is(':checked')) {
    	jQuery(".information-text").parent().parent().parent().show();
    }else{
    	jQuery(".information-text").parent().parent().parent().hide();
    }
    
	jQuery('.different-payment').change(function() {
        if(this.checked){
          	jQuery(".max-payment").parent().parent().parent().show();
			jQuery(".min-one-payment").parent().parent().parent().show();
			jQuery(".max-one-payment").parent().parent().parent().show();
		    jQuery(".base-url-one").parent().parent().parent().show();

		    jQuery(".titledesc label[for='woocommerce_paythen_min_amount']").text("Minimum order amount 1");
		    jQuery(".titledesc label[for='woocommerce_paythen_max_amount']").text("Maximum order amount 1");
		    jQuery(".titledesc label[for='woocommerce_paythen_base-url']").text("Paythen template url 1");
        }else{
        	jQuery(".titledesc label[for='woocommerce_paythen_min_amount']").text("Minimum order amount");
		    jQuery(".titledesc label[for='woocommerce_paythen_base-url']").text("Paythen template url");

        	jQuery(".max-payment").parent().parent().parent().hide();
			jQuery(".min-one-payment").parent().parent().parent().hide();
			jQuery(".max-one-payment").parent().parent().parent().hide();
		    jQuery(".base-url-one").parent().parent().parent().hide();
        }
    });
	// If change installment value
    jQuery('.number-installment').change(function() {
        if(this.checked){
          	jQuery(".min-installment").parent().parent().parent().show();
			jQuery(".max-installment").parent().parent().parent().show();
        }else{
        	jQuery(".min-installment").parent().parent().parent().hide();
			jQuery(".max-installment").parent().parent().parent().hide();
        }
    });

    jQuery('.product-information').change(function() {
    	if (this.checked) {
	    	jQuery(".information-text").parent().parent().parent().show();
	    }else{
	    	jQuery(".information-text").parent().parent().parent().hide();
	    }
    });
});